<?php

namespace Slovocast\Controller;

use Odan\Session\SessionInterface;
use Slovocast\Domain\Repository\Channel\ChannelRepositoryInterface;
use Slovocast\Domain\Repository\User\UserRepositoryInterface;
use Psr\Http\Message\ResponseInterface as Response;

class DashboardPage extends Controller
{
    public function __construct(
        protected UserRepositoryInterface $userRepository,
        protected ChannelRepositoryInterface $channelRepository,
        protected SessionInterface $session
    ) { }

    public function handle(): Response
    {
        // get the user details
        // get the channels
        return $this->render('dashboard.twig', [ 
            'user' => $this->session->get('user'),
        ]);
    }
}
